## waterfox-classic-kpe 2019.12

=== debian/changelog ===
waterfox-classic-kpe (2019.12-2~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Run wrap and sort on debian folder.
  * Just use the llvm-7 tool chain for builds, and remove lsb-release from
    B-Ds, since it's only used in the commented code in debian/mozconfig.
  * debian/control: remove all transitional packages. Apt removes the older 
    waterfox packages fine with the "Breaks", so the upgrade works without
    those.
  * Modify distribution.ini to show it's the MX Linux build.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 02 Jan 2020 15:43:16 -0800

waterfox-classic-kpe (2019.12-2) obs; urgency=medium
    * Fixed depends for some transitional packages

 -- hawkeye116477 <hawkeye116477@gmail.com>  Thu, 19 Dec 2019 16:59:00 +0200

waterfox-classic-kpe (2019.12-0) obs; urgency=medium
    * New features:
        * Restart button in PanelUI and Menu
        * Copy current tab URL
        * Copy all tab URLs
        * New advanced settings in Features tab
    * Added settings for blocking notifications and exceptions
    * Added settings for disabling loading images automatically and exceptions
    * Added settings for disabling JavaScript with exceptions and advanced settings
    * Added new privacy settings
    * Added possibility to disable search bar on new tab page
    * Containers support enabled
    * Added support for new emoji in Unicode/Emoji 12
    * Storage API enabled
    * Security patches

 -- hawkeye116477 <hawkeye116477@gmail.com>  Tue, 10 Dec 2019 19:30:00 +0200

waterfox-classic-kpe (2019.10-5) obs; urgency=medium
    * Various website rending issues fixed. (Thanks to hawkeye116477)
    * Various media libraries updated, including added support for AV1. (Thanks to hawkeye116477)
    * Various config updates. (Thanks to Peacock365)
    * Fixed displaying some emojis
    * Added the path to the running binary to about:support
    * Security fixes from mfsa 2019-33

 -- hawkeye116477 <hawkeye116477@gmail.com>  Sun, 27 Oct 2019 08:40:00 +0200

waterfox (56.2.14-0) obs; urgency=medium
    * Security patches from ESR 60.9

 -- hawkeye116477 <hawkeye116477@gmail.com>  Tue, 03 Sep 2019 18:38:00 +0200

waterfox (56.2.13-0) obs; urgency=medium
    * Updated Gecko Media Plugin components

        - Waterfox now supports the latest version of the Widevine CDM (v10). This should last for a while until Google sunsets this version.
        - A few memory leaks were fixed due to this upgrade.

    * Upgraded from Widevine CDM 1.4.9.1088 to Widevine CDM 4.10.1440.19.
    * Upgraded from OpenH264 1.6 to OpenH264 1.8.1.

        - This should result in less crashing and better performance

    * Support filtering streaming response data via webRequest API
    * Support access keys in extension menus
    * User agent overrides are now much easier to add - with the options to have an automatic updating list depending on how users feel about this.
    * If upgrading from previous versions of Waterfox, you will be asked to re-enable DRM. After re-enabling, if videos with DRM do not work please restart Waterfox and videos should start to work again.

 -- hawkeye116477 <hawkeye116477@gmail.com>  Wed, 21 Aug 2019 18:12:00 +0200

waterfox (56.2.12-0) obs; urgency=medium
    * Patches for mfsa2019-22.
    * Updated Twemoji Mozilla to 0.4.0 (twemoji 11.4.0).

 -- hawkeye116477 <hawkeye116477@gmail.com>  Sun, 14 Jul 2019 21:19:00 +0200

waterfox (56.2.11.1-0) obs; urgency=medium
    * Fixed Bug 1555523
    * Fixed compiling with elf-hack and rust-simd, so that should improve performance a little
    * Fixed bugs related with HiDPI icons
    * Version is not changed on about dialog for now

 -- hawkeye116477 <hawkeye116477@gmail.com>  Mon, 08 Jul 2019 16:34:00 +0200

waterfox (56.2.11-0) obs; urgency=high
    * Security fix for CVE-2019-11707.
    * Fixed issues that prevented themes from AMO installing.
    * Added some more overrides for popular websites.
    * Fixed issues where the Gecko Media Plugins were not downloading, preventing websites that required DRM such as Netflix from working.
    * Enabled support for JavaScript modules.

 -- hawkeye116477 <hawkeye116477@gmail.com>  Thu, 20 Jun 2019 14:51:00 +0200

waterfox (56.2.10.1-0) obs; urgency=medium
    * User agent overrides for more domains (Spotify, Slack, Wire and others)
    * Fixed Bugs: 1466606, 1386277, 1404198 and 1398897

 -- hawkeye116477 <hawkeye116477@gmail.com>  Sun, 07 Jun 2019 18:36:00 +0200

waterfox (56.2.10-0) obs; urgency=medium
    * Latest security fixes up to Firefox ESR 60.7
    * Added new Mozilla certificates to be able to install add-ons from AMO again
    * Waterfox now identifies as Waterfox once again!

        - This fixes issues with repeat CAPTCHAs, hooray!
        - Websites that require a vanilla Firefox user agent will get one, so far: web.whatsapp.com, amazon.*, netflix.com, chase.com. Please request if a website you visit doesn’t recognise the Waterfox user agent.
        - This should stop YouTube from doing A/B tests that break on Waterfox.

 -- hawkeye116477 <hawkeye116477@gmail.com>  Sun, 19 May 2019 15:10:00 +0200

waterfox (56.2.9-0) obs; urgency=medium
    * Various security fixes.
    * Switched to twemoji for platforms that do not natively support emoji.
    * Fixed bug causing issues with add-ons such as Tab Mix Plus.
    * Fixed issue with Instagram.

 -- hawkeye116477 <hawkeye116477@gmail.com>  Sat, 20 Apr 2019 10:55:00 +0200

waterfox (56.2.8-0) obs; urgency=medium
    * Waterfox now identifies itself as Firefox 60 ESR. This should fix a lot of website issues. Unfortunately there will be no unique way to identify Waterfox.

        - WhatsApp Web now works, as should Chase et al.

    * Various security fixes.
    * Corrected the behavior of Element.scrollIntoView which some websites rely on to work.
    * Disabled Service Workers by default.

 -- hawkeye116477 <hawkeye116477@gmail.com>  Fri, 15 Mar 2019 13:29:00 +0200

waterfox (56.2.7.1-0) obs; urgency=medium


## waterfox-classic-kpe 2021.11

=== browser/components/translation/cld2/Makefile ===
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this file,
# You can obtain one at http://mozilla.org/MPL/2.0/.

PYTHON2 ?= python2

EMSCRIPTEN_ROOT := $(shell if which emcc >/dev/null 2>&1; \
                           then dirname `which emcc`; \
                           else echo /usr/lib/emscripten; \
                           fi)

EMCC ?= $(EMSCRIPTEN_ROOT)/emcc

WEBIDL ?= $(PYTHON2) $(EMSCRIPTEN_ROOT)/tools/webidl_binder.py

# A 2MB heap is to analyze most web pages. For the outliers, we need to either
# allow for heap growth, or allocate an unreasonable amount of memory at the
# outset.
# Unfortunately, once the heap has been enlarged, there is no shrinking, so
# analyzing one 20MB web page gives us a 30-40MB heap for the life of the
# worker.
FLAGS=-s -O3 -s INLINING_LIMIT=1 -s NO_FILESYSTEM=1 -s NO_EXIT_RUNTIME=1 -s INVOKE_RUN=0 \
      -s TOTAL_STACK=8192 -s TOTAL_MEMORY=2097152 -s ALLOW_MEMORY_GROWTH=1 \
      --llvm-lto 1 --memory-init-file 1 --closure 1

export EMCC_CLOSURE_ARGS = --language_in ECMASCRIPT6 --language_out ES5_STRICT

SOURCES= \
	internal/cldutil.cc \
	internal/cldutil_shared.cc \
	internal/compact_lang_det.cc \
	internal/compact_lang_det_hint_code.cc \
	internal/compact_lang_det_impl.cc \
	internal/debug_empty.cc \
	internal/fixunicodevalue.cc \
	internal/generated_entities.cc \
	internal/generated_language.cc \
	internal/generated_ulscript.cc \
	internal/getonescriptspan.cc \
	internal/lang_script.cc \
	internal/offsetmap.cc \
	internal/scoreonescriptspan.cc \
	internal/tote.cc \
	internal/utf8statetable.cc \
	internal/cld_generated_cjk_uni_prop_80.cc \
	internal/cld2_generated_cjk_compatible.cc \
	internal/cld_generated_cjk_delta_bi_4.cc \
	internal/generated_distinct_bi_0.cc \
	internal/cld2_generated_quadchrome0122_16.cc \
	internal/cld2_generated_deltaoctachrome0122.cc \
	internal/cld2_generated_distinctoctachrome0122.cc \
	internal/cld_generated_score_quad_octa_0122_2.cc \
	cldapp.cc \
	$(NULL)

OBJECTS=$(SOURCES:.cc=.o)

default: all

%.o: %.cc Makefile
	$(EMCC) -Os -I. -o $@ $<

cldapp.o: cld.cpp

%.cpp %.js: %.idl
	$(WEBIDL) $< $*

all: cld-worker.js

cld-worker.js: $(OBJECTS) post.js cld.js
	$(EMCC) $(FLAGS) -I. -o cld-worker.js $(OBJECTS) --post-js cld.js --post-js post.js

clean:
	rm -f $(OBJECTS) cld.cpp cld.js before.js

## waterfox-classic-kpe 2020.01

=== debian/changelog ===
waterfox-classic-kpe (2020.01-0~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 18 Jan 2020 23:33:49 -0800

waterfox-classic-kpe (2020.01-0) obs; urgency=high
    * Very important security patches (CVE-2019-17026)
    * Updated timezone data for internationalization functions
    * Enabled unprefixed Fullscreen API
    * Various website rending issues fixed (Kinguin, Intel, Epic Games and others)
    * Fixed problems related with uBO html filters

 -- hawkeye116477 <hawkeye116477@gmail.com>  Sat, 11 Jan 2020 10:42:00 +0200

=== debian/control ===
Source: waterfox-classic-kpe
Section: web
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: hawkeye116477 <hawkeye116477@gmail.com>
Build-Depends: apt-utils,
               autoconf2.13,
               autotools-dev,
               binutils-avr,
               cargo (>= 0.33),
               clang,
               clang-7,
               dbus-x11,
               debhelper (>= 9),
               dpkg-dev (>= 1.16.1.1~),
               libasound2-dev,
               libcurl4-openssl-dev,
               libdbus-glib-1-dev,
               libevent-dev (>= 1.4.1),
               libfile-fcntllock-perl,
               libfontconfig1-dev,
               libfreetype6-dev,
               libgconf2-dev,
               libgl1-mesa-dev,
               libglib2.0-dev (>= 2.16.0),
               libgtk-3-dev (>= 3.4),
               libgtk2.0-dev (>= 2.10),
               libiw-dev,
               libjpeg-dev,
               libjsoncpp-dev,
               libnotify-dev,
               libpango1.0-dev,
               libpulse-dev,
               libreadline-dev,
               libstartup-notification0-dev,
               libtinfo-dev,
               libx11-dev,
               libx11-xcb-dev,
               libxext-dev,
               libxrender-dev,
               libxt-dev,
               llvm-dev,
               locales,
#               lsb-release,
               mesa-common-dev,
               pkg-config,
               python-minimal (>= 2.6.6-13~),
               python-ply,
               python2.7,
               rustc (>= 1.32),
               unzip,
               xauth,
               xfonts-base,
               xvfb,
               yasm (>= 1.1),
               zip,
               zlib1g-dev
Standards-Version: 3.9.1
Homepage: https://www.waterfox.net/

Package: waterfox-classic-kpe
Architecture: amd64
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: fonts-lyx, pulseaudio
Provides: gnome-www-browser, waterfox-classic, www-browser
Replaces: waterfox (<< 2019.10-4), waterfox-kde (<< 2019.10-4)
Breaks: waterfox (<< 2019.10-4), waterfox-kde (<< 2019.10-4)
Description: Waterfox browser with openSUSE's patches for better KDE integration
 Waterfox focuses on giving users choice while also helping make the world a
 better place. Watefox is partners with Ecosia, a search engine that plants
 trees with its generated revenues. The browser itself is aimed at power users,
 which lets you make the important decisions. There is no plugin whitelist, so
 you can run whichever extensions you like and absolutely no data or telemetry
 is sent back to Mozilla or the Waterfox project.
 .
 Waterfox is powered by Mozilla Firefox source code.
 

Package: waterfox-classic-kde
Architecture: amd64
Depends: kwaterfoxhelper,
         waterfox-classic-kpe,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: plasma-browser-integration
Description: KDE Plasma integration for Waterfox Classic
 KDE Plasma integration for Waterfox Classic

Package: waterfox-classic-i18n-ach
Architecture: any
Depends: waterfox-classic-kpe (>= ${source:Version}), ${misc:Depends}
Replaces: waterfox-locale-ach (<< 2019.10-4)
Breaks: waterfox-locale-ach (<< 2019.10-4)
Description: Acholi language pack for Waterfox Classic
 This package contains Acholi translations for Waterfox Classic.

Package: waterfox-classic-i18n-af
Architecture: any
Depends: waterfox-classic-kpe (>= ${source:Version}), ${misc:Depends}
Replaces: waterfox-locale-af (<< 2019.10-4)
Breaks: waterfox-locale-af (<< 2019.10-4)
Description: Afrikaans language pack for Waterfox Classic
 This package contains Afrikaans translations for Waterfox Classic.

Package: waterfox-classic-i18n-an
Architecture: any
Depends: waterfox-classic-kpe (>= ${source:Version}), ${misc:Depends}
Replaces: waterfox-locale-an (<< 2019.10-4)
Breaks: waterfox-locale-an (<< 2019.10-4)
Description: Aragonese language pack for Waterfox Classic
 This package contains Aragonese translations for Waterfox Classic.

Package: waterfox-classic-i18n-ar
Architecture: any
Depends: waterfox-classic-kpe (>= ${source:Version}), ${misc:Depends}
Replaces: waterfox-locale-ar (<< 2019.10-4)
Breaks: waterfox-locale-ar (<< 2019.10-4)
Description: Arabic language pack for Waterfox Classic
 This package contains Arabic translations for Waterfox Classic.

Package: waterfox-classic-i18n-as
Architecture: any
Depends: waterfox-classic-kpe (>= ${source:Version}), ${misc:Depends}
Replaces: waterfox-locale-as (<< 2019.10-4)
Breaks: waterfox-locale-as (<< 2019.10-4)
Description: Assamese language pack for Waterfox Classic
 This package contains Assamese translations for Waterfox Classic.

Package: waterfox-classic-i18n-ast
Architecture: any
Depends: waterfox-classic-kpe (>= ${source:Version}), ${misc:Depends}
Replaces: waterfox-locale-ast (<< 2019.10-4)
Breaks: waterfox-locale-ast (<< 2019.10-4)
Description: Asturian language pack for Waterfox Classic
 This package contains Asturian translations for Waterfox Classic.

Package: waterfox-classic-i18n-az
Architecture: any
Depends: waterfox-classic-kpe (>= ${source:Version}), ${misc:Depends}
Replaces: waterfox-locale-az (<< 2019.10-4)
Breaks: waterfox-locale-az (<< 2019.10-4)
Description: Azerbaijani language pack for Waterfox Classic
 This package contains Azerbaijani translations for Waterfox Classic.

Package: waterfox-classic-i18n-bg
Architecture: any
Depends: waterfox-classic-kpe (>= ${source:Version}), ${misc:Depends}
Replaces: waterfox-locale-bg (<< 2019.10-4)
Breaks: waterfox-locale-bg (<< 2019.10-4)
Description: Bulgarian language pack for Waterfox Classic
 This package contains Bulgarian translations for Waterfox Classic.

Package: waterfox-classic-i18n-bn-bd
Architecture: any
Depends: waterfox-classic-kpe (>= ${source:Version}), ${misc:Depends}
Replaces: waterfox-locale-bn-bd (<< 2019.10-4)
Breaks: waterfox-locale-bn-bd (<< 2019.10-4)
Description: Bengali (Bangladesh) language pack for Waterfox Classic
 This package contains Bengali (Bangladesh) translations for Waterfox Classic.

Package: waterfox-classic-i18n-bn-in
Architecture: any
Depends: waterfox-classic-kpe (>= ${source:Version}), ${misc:Depends}
Replaces: waterfox-locale-bn-in (<< 2019.10-4)
Breaks: waterfox-locale-bn-in (<< 2019.10-4)
Description: Bengali (India) language pack for Waterfox Classic
 This package contains Bengali (India) translations for Waterfox Classic.

Package: waterfox-classic-i18n-br
Architecture: any
Depends: waterfox-classic-kpe (>= ${source:Version}), ${misc:Depends}
Replaces: waterfox-locale-br (<< 2019.10-4)
Breaks: waterfox-locale-br (<< 2019.10-4)
Description: Breton language pack for Waterfox Classic
 This package contains Breton translations for Waterfox Classic.

Package: waterfox-classic-i18n-bs
Architecture: any
Depends: waterfox-classic-kpe (>= ${source:Version}), ${misc:Depends}
Replaces: waterfox-locale-bs (<< 2019.10-4)
Breaks: waterfox-locale-bs (<< 2019.10-4)
Description: Bosnian language pack for Waterfox Classic
 This package contains Bosnian translations for Waterfox Classic.

Package: waterfox-classic-i18n-ca
Architecture: any
Depends: waterfox-classic-kpe (>= ${source:Version}), ${misc:Depends}
Replaces: waterfox-locale-ca (<< 2019.10-4)
Breaks: waterfox-locale-ca (<< 2019.10-4)
Description: Catalan; Valencian language pack for Waterfox Classic
 This package contains Catalan; Valencian translations for Waterfox Classic.

Package: waterfox-classic-i18n-cak
Architecture: any
Depends: waterfox-classic-kpe (>= ${source:Version}), ${misc:Depends}
Replaces: waterfox-locale-cak (<< 2019.10-4)
Breaks: waterfox-locale-cak (<< 2019.10-4)
Description: Kaqchikel language pack for Waterfox Classic
 This package contains Kaqchikel translations for Waterfox Classic.

Package: waterfox-classic-i18n-cs
Architecture: any
Depends: waterfox-classic-kpe (>= ${source:Version}), ${misc:Depends}
Replaces: waterfox-locale-cs (<< 2019.10-4)
Breaks: waterfox-locale-cs (<< 2019.10-4)
Description: Czech language pack for Waterfox Classic
 This package contains Czech translations for Waterfox Classic.

Package: waterfox-classic-i18n-cy
Architecture: any
Depends: waterfox-classic-kpe (>= ${source:Version}), ${misc:Depends}
Replaces: waterfox-locale-cy (<< 2019.10-4)
Breaks: waterfox-locale-cy (<< 2019.10-4)
Description: Welsh language pack for Waterfox Classic
 This package contains Welsh translations for Waterfox Classic.

Package: waterfox-classic-i18n-da
Architecture: any
Depends: waterfox-classic-kpe (>= ${source:Version}), ${misc:Depends}
Replaces: waterfox-locale-da (<< 2019.10-4)
Breaks: waterfox-locale-da (<< 2019.10-4)
Description: Danish language pack for Waterfox Classic
 This package contains Danish translations for Waterfox Classic.

Package: waterfox-classic-i18n-de
Architecture: any
Depends: waterfox-classic-kpe (>= ${source:Version}), ${misc:Depends}
Replaces: waterfox-locale-de (<< 2019.10-4)
Breaks: waterfox-locale-de (<< 2019.10-4)
Description: German language pack for Waterfox Classic
 This package contains German translations for Waterfox Classic.

Package: waterfox-classic-i18n-dsb
Architecture: any
Depends: waterfox-classic-kpe (>= ${source:Version}), ${misc:Depends}
Replaces: waterfox-locale-dsb (<< 2019.10-4)
Breaks: waterfox-locale-dsb (<< 2019.10-4)
Description: Lower Sorbian language pack for Waterfox Classic
 This package contains Lower Sorbian translations for Waterfox Classic.

Package: waterfox-classic-i18n-el
Architecture: any
Depends: waterfox-classic-kpe (>= ${source:Version}), ${misc:Depends}
Replaces: waterfox-locale-el (<< 2019.10-4)
Breaks: waterfox-locale-el (<< 2019.10-4)
Description: Greek language pack for Waterfox Classic
 This package contains Greek translations for Waterfox Classic.

Package: waterfox-classic-i18n-en-gb
Architecture: any
Depends: waterfox-classic-kpe (>= ${source:Version}), ${misc:Depends}
Replaces: waterfox-locale-en-gb (<< 2019.10-4)
Breaks: waterfox-locale-en-gb (<< 2019.10-4)
Description: English (British) language pack for Waterfox Classic
 This package contains English (British) translations for Waterfox Classic.

Package: waterfox-classic-i18n-en-za
Architecture: any
Depends: waterfox-classic-kpe (>= ${source:Version}), ${misc:Depends}
Replaces: waterfox-locale-en-za (<< 2019.10-4)
Breaks: waterfox-locale-en-za (<< 2019.10-4)
Description: English (South African) language pack for Waterfox Classic
 This package contains English (South African) translations for Waterfox Classic.

Package: waterfox-classic-i18n-eo
Architecture: any
Depends: waterfox-classic-kpe (>= ${source:Version}), ${misc:Depends}
Replaces: waterfox-locale-eo (<< 2019.10-4)
Breaks: waterfox-locale-eo (<< 2019.10-4)
Description: Esperanto language pack for Waterfox Classic
 This package contains Esperanto translations for Waterfox Classic.

Package: waterfox-classic-i18n-es-ar
Architecture: any
Depends: waterfox-classic-kpe (>= ${source:Version}), ${misc:Depends}
Replaces: waterfox-locale-es-ar (<< 2019.10-4)
Breaks: waterfox-locale-es-ar (<< 2019.10-4)
Description: Spanish (Argentina) language pack for Waterfox Classic
 This package contains Spanish (Argentina) translations for Waterfox Classic.

Package: waterfox-classic-i18n-es-cl
Architecture: any
Depends: waterfox-classic-kpe (>= ${source:Version}), ${misc:Depends}
Replaces: waterfox-locale-es-cl (<< 2019.10-4)
Breaks: waterfox-locale-es-cl (<< 2019.10-4)
Description: Spanish (Chile) language pack for Waterfox Classic
 This package contains Spanish (Chile) translations for Waterfox Classic.

Package: waterfox-classic-i18n-es-es
Architecture: any
Depends: waterfox-classic-kpe (>= ${source:Version}), ${misc:Depends}
Replaces: waterfox-locale-es-es (<< 2019.10-4)
Breaks: waterfox-locale-es-es (<< 2019.10-4)
Description: Spanish (Spain) language pack for Waterfox Classic
 This package contains Spanish (Spain) translations for Waterfox Classic.

Package: waterfox-classic-i18n-es-mx
Architecture: any

## waterfox-classic-kpe 2020.02

=== debian/changelog ===
waterfox-classic-kpe (2020.02-0.1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 19 Feb 2020 11:02:28 -0800

waterfox-classic-kpe (2020.02-0) obs; urgency=medium
    * Latest security advisories from Mozilla (mfsa2020-06)

 -- hawkeye116477 <hawkeye116477@gmail.com>  Thu, 13 Feb 2020 20:36:00 +0200

waterfox-classic-kpe (2020.01.1-0) obs; urgency=medium
    * Various media library updates
    * Added DNS resolution to webextensions api
    * Fixed problems with fonts

 -- hawkeye116477 <hawkeye116477@gmail.com>  Wed, 05 Feb 2020 12:17:00 +0200

## waterfox-classic-kpe 2020.02.1

=== debian/changelog ===
waterfox-classic-kpe (2020.02.1-0.1~mx17+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 27 Feb 2020 15:27:43 -0800

waterfox-classic-kpe (2020.02.1-0) obs; urgency=medium

  * Implemented asynchronous iterators
  * Fixed an issue with form elements sometimes being incorrectly disabled.
  * Added sourcestamp info
  * Disabled SSL error reporting
  * Fixed crashes on sites with Java applets

 -- hawkeye116477 <hawkeye116477@gmail.com>  Fri, 21 Feb 2020 10:43:00 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export SHELL=/bin/bash

%:
	dh $@

override_dh_auto_clean:
	rm -f .mozconfig
	dh_auto_clean
	find . -name '*.pyc' -delete

override_dh_auto_configure:
	cp debian/mozconfig mozconfig

override_dh_auto_build:
	./mach build

override_dh_auto_install:
	chmod +x $$(pwd)/debian/waterfox-classic-bin.sh
	cp debian/kde.js obj-x86_64-pc-linux-gnu/dist/bin/defaults/pref
	DESTDIR=$$(pwd)/debian/waterfox-classic-kpe ./mach install
	mv $$(pwd)/debian/waterfox-classic-kpe/usr/lib/waterfox-classic/browser/features/ $$(pwd)
	rm -rf $$(pwd)/debian/waterfox-classic-kpe/usr/lib/waterfox-classic/waterfox-classic-bin
	rm -rf $$(pwd)/debian/waterfox-classic-kpe/usr/lib/waterfox-classic/dictionaries

override_dh_shlibdeps:
	dh_shlibdeps -l /usr/lib/waterfox-classic/waterfox-classic

override_dh_strip_nondeterminism:
	dh_strip_nondeterminism -Xdebian/waterfox-classic-kpe/usr/lib/waterfox-classic/browser/extensions/{972ce4c6-7e08-4474-a285-3208198ce6fd}.xpi

override_dh_strip:
	dh_strip --no-automatic-dbgsym

## waterfox-classic-kpe 2020.03.1

=== debian/changelog ===
waterfox-classic-kpe (2020.03.1-1~mx15+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * debian/mozconfig: reworked the logic for choosing various llvm toolchains
    for our base Debian distreleases.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 13 Mar 2020 13:18:37 -0700

waterfox-classic-kpe (2020.03.1-0) obs; urgency=medium

  * Fixed crash when using NoScript

 -- hawkeye116477 <hawkeye116477@gmail.com>  Fri, 13 Mar 2020 00:05:00 +0200

waterfox-classic-kpe (2020.03-0) obs; urgency=medium

  * Latest security advisories from Mozilla.
  * Fixed various websites not loading properly (Thanks to hawkeye116477 for the
    gargantuan effort).
  * Logo now has Classic tag to differentiate from Current.
  * Fixed DRM issues (Netflix, Prime Video etc).
  * Various privacy settings update.
  * Made ES6 modules working for webextensions.
  * Added missing strings to language packages (migration dialog).
  * Fixed issues related with dark system's themes.
  * Added AppStream metadata.

 -- hawkeye116477 <hawkeye116477@gmail.com>  Thu, 12 Mar 2020 16:24:00 +0200

waterfox-classic-kpe (2020.02.1-0.1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 27 Feb 2020 15:27:43 -0800

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,7 @@
                autotools-dev,
                binutils-avr,
                cargo (>= 0.33),
-               clang,
-               clang-7,
+               clang-6.0 | clang (>= 4.0),
                dbus-x11,
                debhelper (>= 9),
                dpkg-dev (>= 1.16.1.1~),
@@ -39,9 +38,9 @@
                libxext-dev,
                libxrender-dev,
                libxt-dev,
-               llvm-dev,
+               llvm-6.0-dev,
                locales,
-#               lsb-release,
+               lsb-release,
                mesa-common-dev,
                pkg-config,
                python-minimal (>= 2.6.6-13~),

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,12 @@
 # -*- makefile -*-
 
 export SHELL=/bin/bash
+export MOZ_SOURCE_CHANGESET=$(shell source debian/tar_stamps && echo "$$RELEASE_TAG")
+export SOURCE_REPO=$(shell source debian/tar_stamps && echo "$$RELEASE_REPO")
+export source_repo=$(shell source debian/tar_stamps && echo "$$RELEASE_REPO")
+export MOZ_SOURCE_REPO=$(shell source debian/tar_stamps && echo "$$RELEASE_REPO")
+export MOZ_SOURCE_STAMP=$(shell source debian/tar_stamps && echo "$$RELEASE_TAG")
+export TODAY_DATE=$(shell date +%Y-%m-%d)
 
 %:
 	dh $@
@@ -24,12 +30,13 @@
 	mv $$(pwd)/debian/waterfox-classic-kpe/usr/lib/waterfox-classic/browser/features/ $$(pwd)
 	rm -rf $$(pwd)/debian/waterfox-classic-kpe/usr/lib/waterfox-classic/waterfox-classic-bin
 	rm -rf $$(pwd)/debian/waterfox-classic-kpe/usr/lib/waterfox-classic/dictionaries
+	sed -i "s/__DATE__/$$TODAY_DATE/g" $$(pwd)/debian/waterfox-classic.appdata.xml.in
+	sed -e "s/__VERSION__/$$(<browser/config/version_display.txt)/g" \
+	$$(pwd)/debian/waterfox-classic.appdata.xml.in > \
+	$$(pwd)/debian/waterfox-classic-kpe/usr/share/metainfo/waterfox-classic.appdata.xml
 
 override_dh_shlibdeps:
 	dh_shlibdeps -l /usr/lib/waterfox-classic/waterfox-classic
 
 override_dh_strip_nondeterminism:
 	dh_strip_nondeterminism -Xdebian/waterfox-classic-kpe/usr/lib/waterfox-classic/browser/extensions/{972ce4c6-7e08-4474-a285-3208198ce6fd}.xpi
-
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym

## waterfox-classic-kpe 2020.04

=== debian/changelog ===
waterfox-classic-kpe (2020.04-0) obs; urgency=medium
    * Security fixes (mfsa2020-13)
    * Enabled Shutdown Decoder
    * Added user-agent override for Amazon Prime Video
    * Implemented titlebar rendering

 -- hawkeye116477 <hawkeye116477@gmail.com>  Tue, 07 Apr 2020 22:31:00 +0200

=== debian/control ===
Source: waterfox-classic-kpe
Section: web
Priority: optional
Maintainer: hawkeye116477 <hawkeye116477@gmail.com>
Build-Depends: debhelper (>= 9), autoconf2.13, libgtk-3-dev (>= 3.4), libdbus-glib-1-dev, libpulse-dev, libasound2-dev, yasm (>= 1.1), libgtk2.0-dev (>= 2.10), libxt-dev, python2.7, python-minimal (>= 2.6.6-13~), python-ply, zip, unzip, cargo (>= 0.33), libgl1-mesa-dev, libnotify-dev, binutils-avr, libfreetype6-dev, libfontconfig1-dev, pkg-config, libtinfo-dev, clang (>= 4.0) | clang-4.0 | clang-6.0 | clang-7, llvm-dev (>= 4.0) | llvm-4.0-dev | llvm-6.0-dev | llvm-7-dev, rustc (>= 1.32), libxext-dev, libglib2.0-dev (>= 2.16.0), libpango1.0-dev, libstartup-notification0-dev, libcurl4-openssl-dev, libiw-dev, mesa-common-dev, libxrender-dev, dbus-x11, xvfb, libx11-dev, libx11-xcb-dev, libfile-fcntllock-perl, apt-utils, locales, autotools-dev, libjpeg-dev, zlib1g-dev, libreadline-dev, dpkg-dev (>= 1.16.1.1~), libevent-dev (>= 1.4.1), libjsoncpp-dev, xfonts-base, xauth, lsb-release
Standards-Version: 3.9.1
Homepage: https://www.waterfox.net/

Package: waterfox-classic-kpe
Architecture: amd64
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: fonts-lyx, pulseaudio, ffmpeg
Provides: www-browser, gnome-www-browser, waterfox-classic
Replaces: waterfox-kde (<< 2019.10-4), waterfox (<< 2019.10-4)
Breaks: waterfox-kde (<< 2019.10-4), waterfox (<< 2019.10-4)
Description: Customizable privacy-conscious web browser with primary support for legacy extensions and better integration with KDE
 Waterfox focuses on giving users choice. The browser is focused on power users, which lets you make the important decisions. There is no plugin whitelist (meaning you can run Java Applets and Silverlight apps), you can run whichever extensions you like (including bootstrapped add-ons that can completely change functionality of the browser) and absolutely no data or telemetry is sent back to Mozilla or the Waterfox project.
 .
 Waterfox is powered by Mozilla Firefox source code.
 .
 Note: This package contains integration improvements for KDE made by openSUSE, but works good also on other desktop environments and KDE Plasma integration features may not work if kwaterfoxhelper isn't installed. For better integration recommended is also installing plasma-browser-integration package together with Plasma Integration extension.

Package: waterfox-classic-kde
Architecture: amd64
Depends: ${shlibs:Depends}, ${misc:Depends}, waterfox-classic-kpe, kwaterfoxhelper
Suggests: plasma-browser-integration
Description: KDE Plasma integration for Waterfox Classic
 For better integration recommended is also installing plasma-browser-integration package together with Plasma Integration extension.

Package: waterfox
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, waterfox-classic-kpe
Section: oldlibs
Description: Transitional package
 This is a transitional package. It can safely be removed.

Package: waterfox-kde
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, waterfox-classic-kpe, waterfox-classic-kde
Section: oldlibs
Description: Transitional package
 This is a transitional package. It can safely be removed.

Package: waterfox-classic-i18n-ach
Architecture: any
Depends: ${misc:Depends}, waterfox-classic-kpe (>= ${source:Version})
Replaces: waterfox-locale-ach (<< 2019.10-4)
Breaks: waterfox-locale-ach (<< 2019.10-4)
Description: Acholi language pack for Waterfox Classic
 This package contains Acholi translations for Waterfox Classic.

Package: waterfox-classic-i18n-af
Architecture: any
Depends: ${misc:Depends}, waterfox-classic-kpe (>= ${source:Version})
Replaces: waterfox-locale-af (<< 2019.10-4)
Breaks: waterfox-locale-af (<< 2019.10-4)
Description: Afrikaans language pack for Waterfox Classic
 This package contains Afrikaans translations for Waterfox Classic.

Package: waterfox-classic-i18n-an
Architecture: any
Depends: ${misc:Depends}, waterfox-classic-kpe (>= ${source:Version})
Replaces: waterfox-locale-an (<< 2019.10-4)
Breaks: waterfox-locale-an (<< 2019.10-4)
Description: Aragonese language pack for Waterfox Classic
 This package contains Aragonese translations for Waterfox Classic.

Package: waterfox-classic-i18n-ar
Architecture: any
Depends: ${misc:Depends}, waterfox-classic-kpe (>= ${source:Version})
Replaces: waterfox-locale-ar (<< 2019.10-4)
Breaks: waterfox-locale-ar (<< 2019.10-4)
Description: Arabic language pack for Waterfox Classic
 This package contains Arabic translations for Waterfox Classic.

Package: waterfox-classic-i18n-as
Architecture: any
Depends: ${misc:Depends}, waterfox-classic-kpe (>= ${source:Version})
Replaces: waterfox-locale-as (<< 2019.10-4)
Breaks: waterfox-locale-as (<< 2019.10-4)
Description: Assamese language pack for Waterfox Classic
 This package contains Assamese translations for Waterfox Classic.

Package: waterfox-classic-i18n-ast
Architecture: any
Depends: ${misc:Depends}, waterfox-classic-kpe (>= ${source:Version})
Replaces: waterfox-locale-ast (<< 2019.10-4)
Breaks: waterfox-locale-ast (<< 2019.10-4)
Description: Asturian language pack for Waterfox Classic
 This package contains Asturian translations for Waterfox Classic.

Package: waterfox-classic-i18n-az
Architecture: any
Depends: ${misc:Depends}, waterfox-classic-kpe (>= ${source:Version})
Replaces: waterfox-locale-az (<< 2019.10-4)
Breaks: waterfox-locale-az (<< 2019.10-4)
Description: Azerbaijani language pack for Waterfox Classic
 This package contains Azerbaijani translations for Waterfox Classic.

Package: waterfox-classic-i18n-bg
Architecture: any
Depends: ${misc:Depends}, waterfox-classic-kpe (>= ${source:Version})
Replaces: waterfox-locale-bg (<< 2019.10-4)
Breaks: waterfox-locale-bg (<< 2019.10-4)
Description: Bulgarian language pack for Waterfox Classic
 This package contains Bulgarian translations for Waterfox Classic.

Package: waterfox-classic-i18n-bn-bd
Architecture: any
Depends: ${misc:Depends}, waterfox-classic-kpe (>= ${source:Version})
Replaces: waterfox-locale-bn-bd (<< 2019.10-4)
Breaks: waterfox-locale-bn-bd (<< 2019.10-4)
Description: Bengali (Bangladesh) language pack for Waterfox Classic
 This package contains Bengali (Bangladesh) translations for Waterfox Classic.

Package: waterfox-classic-i18n-bn-in
Architecture: any
Depends: ${misc:Depends}, waterfox-classic-kpe (>= ${source:Version})
Replaces: waterfox-locale-bn-in (<< 2019.10-4)
Breaks: waterfox-locale-bn-in (<< 2019.10-4)
Description: Bengali (India) language pack for Waterfox Classic
 This package contains Bengali (India) translations for Waterfox Classic.

Package: waterfox-classic-i18n-br
Architecture: any
Depends: ${misc:Depends}, waterfox-classic-kpe (>= ${source:Version})
Replaces: waterfox-locale-br (<< 2019.10-4)
Breaks: waterfox-locale-br (<< 2019.10-4)
Description: Breton language pack for Waterfox Classic
 This package contains Breton translations for Waterfox Classic.

Package: waterfox-classic-i18n-bs
Architecture: any
Depends: ${misc:Depends}, waterfox-classic-kpe (>= ${source:Version})
Replaces: waterfox-locale-bs (<< 2019.10-4)
Breaks: waterfox-locale-bs (<< 2019.10-4)
Description: Bosnian language pack for Waterfox Classic
 This package contains Bosnian translations for Waterfox Classic.

Package: waterfox-classic-i18n-ca
Architecture: any
Depends: ${misc:Depends}, waterfox-classic-kpe (>= ${source:Version})
Replaces: waterfox-locale-ca (<< 2019.10-4)
Breaks: waterfox-locale-ca (<< 2019.10-4)
Description: Catalan; Valencian language pack for Waterfox Classic
 This package contains Catalan; Valencian translations for Waterfox Classic.

Package: waterfox-classic-i18n-cak
Architecture: any
Depends: ${misc:Depends}, waterfox-classic-kpe (>= ${source:Version})
Replaces: waterfox-locale-cak (<< 2019.10-4)
Breaks: waterfox-locale-cak (<< 2019.10-4)
Description: Kaqchikel language pack for Waterfox Classic
 This package contains Kaqchikel translations for Waterfox Classic.

Package: waterfox-classic-i18n-cs
Architecture: any
Depends: ${misc:Depends}, waterfox-classic-kpe (>= ${source:Version})
Replaces: waterfox-locale-cs (<< 2019.10-4)
Breaks: waterfox-locale-cs (<< 2019.10-4)
Description: Czech language pack for Waterfox Classic
 This package contains Czech translations for Waterfox Classic.

Package: waterfox-classic-i18n-cy
Architecture: any
Depends: ${misc:Depends}, waterfox-classic-kpe (>= ${source:Version})
Replaces: waterfox-locale-cy (<< 2019.10-4)
Breaks: waterfox-locale-cy (<< 2019.10-4)
Description: Welsh language pack for Waterfox Classic
 This package contains Welsh translations for Waterfox Classic.

Package: waterfox-classic-i18n-da
Architecture: any
Depends: ${misc:Depends}, waterfox-classic-kpe (>= ${source:Version})
Replaces: waterfox-locale-da (<< 2019.10-4)
Breaks: waterfox-locale-da (<< 2019.10-4)
Description: Danish language pack for Waterfox Classic
 This package contains Danish translations for Waterfox Classic.

Package: waterfox-classic-i18n-de
Architecture: any
Depends: ${misc:Depends}, waterfox-classic-kpe (>= ${source:Version})
Replaces: waterfox-locale-de (<< 2019.10-4)
Breaks: waterfox-locale-de (<< 2019.10-4)
Description: German language pack for Waterfox Classic
 This package contains German translations for Waterfox Classic.

Package: waterfox-classic-i18n-dsb
Architecture: any
Depends: ${misc:Depends}, waterfox-classic-kpe (>= ${source:Version})
Replaces: waterfox-locale-dsb (<< 2019.10-4)
Breaks: waterfox-locale-dsb (<< 2019.10-4)
Description: Lower Sorbian language pack for Waterfox Classic
 This package contains Lower Sorbian translations for Waterfox Classic.

Package: waterfox-classic-i18n-el
Architecture: any
Depends: ${misc:Depends}, waterfox-classic-kpe (>= ${source:Version})
Replaces: waterfox-locale-el (<< 2019.10-4)
Breaks: waterfox-locale-el (<< 2019.10-4)
Description: Greek language pack for Waterfox Classic
 This package contains Greek translations for Waterfox Classic.

Package: waterfox-classic-i18n-en-gb
Architecture: any
Depends: ${misc:Depends}, waterfox-classic-kpe (>= ${source:Version})
Replaces: waterfox-locale-en-gb (<< 2019.10-4)
Breaks: waterfox-locale-en-gb (<< 2019.10-4)
Description: English (British) language pack for Waterfox Classic
 This package contains English (British) translations for Waterfox Classic.

Package: waterfox-classic-i18n-en-za
Architecture: any
Depends: ${misc:Depends}, waterfox-classic-kpe (>= ${source:Version})
Replaces: waterfox-locale-en-za (<< 2019.10-4)
Breaks: waterfox-locale-en-za (<< 2019.10-4)
Description: English (South African) language pack for Waterfox Classic
 This package contains English (South African) translations for Waterfox Classic.

Package: waterfox-classic-i18n-eo
Architecture: any
Depends: ${misc:Depends}, waterfox-classic-kpe (>= ${source:Version})
Replaces: waterfox-locale-eo (<< 2019.10-4)
Breaks: waterfox-locale-eo (<< 2019.10-4)
Description: Esperanto language pack for Waterfox Classic
 This package contains Esperanto translations for Waterfox Classic.

Package: waterfox-classic-i18n-es-ar
Architecture: any
Depends: ${misc:Depends}, waterfox-classic-kpe (>= ${source:Version})
Replaces: waterfox-locale-es-ar (<< 2019.10-4)
Breaks: waterfox-locale-es-ar (<< 2019.10-4)
Description: Spanish (Argentina) language pack for Waterfox Classic
 This package contains Spanish (Argentina) translations for Waterfox Classic.

Package: waterfox-classic-i18n-es-cl
Architecture: any
Depends: ${misc:Depends}, waterfox-classic-kpe (>= ${source:Version})
Replaces: waterfox-locale-es-cl (<< 2019.10-4)
Breaks: waterfox-locale-es-cl (<< 2019.10-4)
Description: Spanish (Chile) language pack for Waterfox Classic
 This package contains Spanish (Chile) translations for Waterfox Classic.

Package: waterfox-classic-i18n-es-es
Architecture: any
Depends: ${misc:Depends}, waterfox-classic-kpe (>= ${source:Version})
Replaces: waterfox-locale-es-es (<< 2019.10-4)
Breaks: waterfox-locale-es-es (<< 2019.10-4)
Description: Spanish (Spain) language pack for Waterfox Classic

## waterfox-classic-kpe 2020.05

=== debian/changelog ===
waterfox-classic-kpe (2020.05-0) obs; urgency=medium
    * Latest security advisories patched (best effort)

 -- hawkeye116477 <hawkeye116477@gmail.com>  Tue, 07 May 2020 17:52:00 +0200
